Bug 988717 - SELinux is preventing /usr/sbin/mount.davfs from 'unlink' accesses on the file home-klaus-mounts-box.net-m.pid.
SELinux is preventing /usr/sbin/mount.davfs from 'unlink' accesses on the fil...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:ecb2b5a1bf328453e07be4fcd33...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-26 04:41 EDT by klaus
Modified: 2015-02-17 11:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:22:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description klaus 2013-07-26 04:41:15 EDT
Description of problem:
SELinux is preventing /usr/sbin/mount.davfs from 'unlink' accesses on the file home-klaus-mounts-box.net-m.pid.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that mount.davfs should be allowed unlink access on the home-klaus-mounts-box.net-m.pid file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep mount.davfs /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:mount_t:s0
Target Context                system_u:object_r:var_run_t:s0
Target Objects                home-klaus-mounts-box.net-m.pid [ file ]
Source                        mount.davfs
Source Path                   /usr/sbin/mount.davfs
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           davfs2-1.4.7-1.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-65.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.9-302.fc19.x86_64 #1 SMP Sat
                              Jul 6 13:41:07 UTC 2013 x86_64 x86_64
Alert Count                   2
First Seen                    2013-07-26 08:42:19 CEST
Last Seen                     2013-07-26 09:13:18 CEST
Local ID                      c2c5fb4e-c885-4f04-9c7b-2ec351152b01

Raw Audit Messages
type=AVC msg=audit(1374822798.131:520): avc:  denied  { unlink } for  pid=3885 comm="mount.davfs" name="home-klaus-mounts-box.net-m.pid" dev="tmpfs" ino=53292 scontext=system_u:system_r:mount_t:s0 tcontext=system_u:object_r:var_run_t:s0 tclass=file


type=SYSCALL msg=audit(1374822798.131:520): arch=x86_64 syscall=unlink success=no exit=EACCES a0=1cdb7e0 a1=1 a2=3ca11b97d8 a3=0 items=0 ppid=1 pid=3885 auid=4294967295 uid=991 gid=987 euid=991 suid=991 fsuid=991 egid=987 sgid=987 fsgid=987 ses=4294967295 tty=(none) comm=mount.davfs exe=/usr/sbin/mount.davfs subj=system_u:system_r:mount_t:s0 key=(null)

Hash: mount.davfs,mount_t,var_run_t,file,unlink

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.9-302.fc19.x86_64
type:           libreport
Comment 1 Daniel Walsh 2013-07-26 14:02:14 EDT
What is home-klaus-mounts-box.net-m.pid
Comment 2 klaus 2013-07-27 03:46:43 EDT
The mount point for a davfs mount - or the pid for the mounting process to be precise.
Comment 3 Fedora End Of Life 2015-01-09 14:06:29 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 11:22:08 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.